%define name_orig kacst_fonts
%define srcname KacstArabicFonts-2.01
%define fontdir	fonts/TTF/arabic/kacst

Name:		fonts-ttf-arabic-kacst
Summary:	Arabic TrueType fonts
Version:	2.01
Release:	%mkrel 5
License:	GPLv2
Group:		System/Fonts/True type
Source:		https://downloads.sourceforge.net/project/arabeyes/kacst_fonts/%{name_orig}_%{version}.tar.bz2
URL:		https://www.arabeyes.org/resources.php
BuildArch:	noarch
BuildRequires:	mkfontscale
Requires:	common-licenses
Provides:	fonts-ttf-arabic

%description
This Package provides Free Arabic TrueType fonts donated under the GPL license
by King Abdul-Aziz City for Science and Technology (KACST).

Now maintained by Arabeyes https://www.arabeyes.org

%prep
%setup -q -n %{srcname}

%build

%install
mkdir -p %buildroot/%_datadir/%fontdir
cp *.ttf %buildroot/%_datadir/%fontdir

pushd %buildroot/%_datadir/%fontdir
mkfontscale
cp fonts.scale fonts.dir
popd

mkdir -p %{buildroot}%_sysconfdir/X11/fontpath.d/
ln -s ../../..%_datadir/%fontdir \
    %{buildroot}%_sysconfdir/X11/fontpath.d/ttf-arabic-kacst:pri=50

%files
%defattr(0644,root,root,0755)
%dir %_datadir/%fontdir
%_datadir/%fontdir/*
%_sysconfdir/X11/fontpath.d/ttf-arabic-kacst:pri=50




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.01-5.mga10
+ Revision: 2202543
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 2.01-4.mga9
+ Revision: 1807887
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.01-3.mga8
+ Revision: 1501390
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.01-2.mga7
+ Revision: 1278256
- Mageia 7 Mass Rebuild

* Mon Mar 26 2018 kekepower <kekepower> 2.01-1.mga7
+ Revision: 1212706
- Update to version 2.01

* Thu Feb 04 2016 umeabot <umeabot> 2.0-8.mga6
+ Revision: 934214
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0-7.mga5
+ Revision: 740911
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0-6.mga5
+ Revision: 679262
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.0-5.mga4
+ Revision: 504515
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.0-4.mga3
+ Revision: 350666
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 03 2011 ennael <ennael> 2.0-3.mga1
+ Revision: 63489
- imported package fonts-ttf-arabic-kacst


* Fri Dec 03 2010 Funda Wang <fwang@mandriva.org> 2.0-3mdv2011.0
+ Revision: 605823
- fix build

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

* Wed Jan 20 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 2.0-2mdv2010.1
+ Revision: 494119
- fc-cache is now called by an rpm filetrigger

  + Ahmad Samir <ahmadsamir@mandriva.org>
    - Update to 2.0 (2.01 gives some errors about font scaling and 2.0
      is the version in Fedora too)
    - Change url to Arabeyes as it's maintained by them now

* Tue Oct 06 2009 Thierry Vignaud <tv@mandriva.org> 1.6.3-9mdv2010.0
+ Revision: 454755
- do not package huge (1.2Mb) license.txt, it's GPLv2 with
  ArabeyesFonts-1.1.tar.bz2 appended...

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.6.3-8mdv2009.1
+ Revision: 351039
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.6.3-7mdv2009.0
+ Revision: 220857
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 1.6.3-6mdv2008.1
+ Revision: 170834
- rebuild

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 1.6.3-5mdv2008.1
+ Revision: 149734
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- buildrequires obsoletes buildprereq

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jul 05 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.6.3-4mdv2008.0
+ Revision: 48737
- fontpath.d conversion (#31756)
- minor cleanups


* Fri Aug 04 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-04 23:10:22 (52883)
- Normalize fonts with new paths

* Fri Aug 04 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-04 21:08:34 (52811)
- import fonts-ttf-arabic-kacst-1.6.3-2mdk

* Tue Feb 07 2006 Frederic Crozat <fcrozat@mandriva.com> 1.6.3-2mdk
- Don't package fonts.cache-2 file
- Fix prereq
- touch parent directory to workaround rpm changing directory last modification
  time (breaking fontconfig cache consistency detection)
- Remove dependency on freetype, this is old stuff

* Thu Aug 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.6.3-1mdk
- rpmlint fix
- do not use subsheels b/c they hide errors
- initial build (Munzir Taha <munzirtaha@newhorizons.com.sa>)

